Bug 1156070 - Rename test class to prevent test harnesses thinking there is a failure. r=jgriffin, a=test-only
authorDavid Burns <dburns@mozilla.com>
Wed, 19 Aug 2015 15:57:06 +0100
changeset 288877 c468a9aab0d1130e7329c5f953700cef8502306d
parent 288876 a6f712e6d690e8e6e2d985bb502c77dd97091eb1
child 288878 5d296b35770299671d8d08483005ad1d61580626
push id5067
push userraliiev@mozilla.com
push dateMon, 21 Sep 2015 14:04:52 +0000
treeherdermozilla-beta@14221ffe5b2f [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersjgriffin, test-only
bugs1156070
milestone42.0a2
Bug 1156070 - Rename test class to prevent test harnesses thinking there is a failure. r=jgriffin, a=test-only Mozharness appears to do a check for the word exception and is seeing these tests as failures when they are not.
testing/marionette/client/marionette/tests/unit/test_errors.py
--- a/testing/marionette/client/marionette/tests/unit/test_errors.py
+++ b/testing/marionette/client/marionette/tests/unit/test_errors.py
@@ -12,17 +12,17 @@ def fake_cause():
         raise ValueError("bar")
     except ValueError as e:
         return sys.exc_info()
 
 message = "foo"
 cause = fake_cause()
 stacktrace = "first\nsecond"
 
-class TestExceptionType(marionette_test.MarionetteTestCase):
+class TestErrors(marionette_test.MarionetteTestCase):
     def test_defaults(self):
         exc = errors.MarionetteException()
         self.assertIsNone(exc.msg)
         self.assertIsNone(exc.cause)
         self.assertIsNone(exc.stacktrace)
 
     def test_construction(self):
         exc = errors.MarionetteException(
@@ -67,16 +67,16 @@ class TestLookup(marionette_test.Marione
     def test_by_unknown_string(self):
         self.assertEqual(errors.MarionetteException, errors.lookup("barbera"))
 
     def test_by_known_unicode_string(self):
         self.assertEqual(errors.NoSuchElementException,
             errors.lookup(u"no such element"))
 
 
-class TestAllExceptions(marionette_test.MarionetteTestCase):
+class TestAllErrors(marionette_test.MarionetteTestCase):
     def test_properties(self):
         for exc in errors.es_:
             self.assertTrue(hasattr(exc, "code"),
                 "expected exception to have attribute `code'")
             self.assertTrue(hasattr(exc, "status"),
                 "expected exception to have attribute `status'")
             self.assertIsInstance(exc.code, tuple)